package channel

import (
	"context"

	"kami/internal/systemV2/service"

	"kami/api/channel/v2"
)

func (c *ControllerV2) EntranceDelete(ctx context.Context, req *v2.EntranceDeleteReq) (res *v2.EntranceDeleteRes, err error) {
	entrance := service.Entrance()
	err = entrance.Delete(ctx, req.ID)
	return
}
